html {
  @media (min-width: 1400px) {
    font-size: 100%;
  }
}

.border-radius (@radius) {
    border-radius: @radius;
    -webkit-border-radius: @radius;
    -moz-border-radius: @radius;
    -o-border-radius: @radius;
}
.transform (@translate) {
    transform: @translate;
    -webkit-transform: @translate;
    -moz-transform: @translate;
    -o-transform: @translate;
}
.transition  (@transition) {
    transition: @transition;
    -webkit-transition: @transition;
    -moz-transition: @transition;
    -o-transition: @transition;
}

// Padding
.padding5 { padding: 5px; }
.padding10 { padding: 10px; }
.padding15 { padding: 15px; }
.padding20 { padding: 20px; }
.padding25 { padding: 25px; }
.padding30 { padding: 30px; }
.padding35 { padding: 35px; }
.padding40 { padding: 40px; }
.padding45 { padding: 45px; }
.padding50 { padding: 50px; }
.padding55 { padding: 55px; }
.padding60 { padding: 60px; }
.padding65 { padding: 65px; }
.padding70 { padding: 70px; }

.padding-top0 { padding-top: 0; }
.padding-top5 { padding-top: 5px; }
.padding-top10 { padding-top: 10px; }
.padding-top15 { padding-top: 15px; }
.padding-top20 { padding-top: 20px; }
.padding-top25 { padding-top: 25px; }
.padding-top30 { padding-top: 30px; }
.padding-top35 { padding-top: 35px; }
.padding-top40 { padding-top: 40px; }
.padding-top45 { padding-top: 45px; }
.padding-top50 { padding-top: 50px; }
.padding-top55 { padding-top: 55px; }
.padding-top60 { padding-top: 60px; }
.padding-top65 { padding-top: 65px; }
.padding-top70 { padding-top: 70px; }

.padding-right0 { padding-right: 0; }
.padding-right5 { padding-right: 5px; }
.padding-right10 { padding-right: 10px; }
.padding-right15 { padding-right: 15px; }
.padding-right20 { padding-right: 20px; }
.padding-right25 { padding-right: 25px; }
.padding-right30 { padding-right: 30px; }
.padding-right35 { padding-right: 35px; }
.padding-right40 { padding-right: 40px; }
.padding-right45 { padding-right: 45px; }
.padding-right50 { padding-right: 50px; }
.padding-right55 { padding-right: 55px; }
.padding-right60 { padding-right: 60px; }
.padding-right65 { padding-right: 65px; }
.padding-right70 { padding-right: 70px; }

.padding-left0 { padding-left: 0; }
.padding-left5 { padding-left: 5px; }
.padding-left10 { padding-left: 10px; }
.padding-left15 { padding-left: 15px; }
.padding-left20 { padding-left: 20px; }
.padding-left25 { padding-left: 25px; }
.padding-left30 { padding-left: 30px; }
.padding-left35 { padding-left: 35px; }
.padding-left40 { padding-left: 40px; }
.padding-left45 { padding-left: 45px; }
.padding-left50 { padding-left: 50px; }
.padding-left55 { padding-left: 55px; }
.padding-left60 { padding-left: 60px; }
.padding-left65 { padding-left: 65px; }
.padding-left70 { padding-left: 70px; }

.padding-bottom0 { padding-bottom: 0; }
.padding-bottom5 { padding-bottom: 5px; }
.padding-bottom10 { padding-bottom: 10px; }
.padding-bottom15 { padding-bottom: 15px; }
.padding-bottom20 { padding-bottom: 20px; }
.padding-bottom25 { padding-bottom: 25px; }
.padding-bottom30 { padding-bottom: 30px; }
.padding-bottom35 { padding-bottom: 35px; }
.padding-bottom40 { padding-bottom: 40px; }
.padding-bottom45 { padding-bottom: 45px; }
.padding-bottom50 { padding-bottom: 50px; }
.padding-bottom55 { padding-bottom: 55px; }
.padding-bottom60 { padding-bottom: 60px; }
.padding-bottom65 { padding-bottom: 65px; }
.padding-bottom70 { padding-bottom: 70px; }


// Margin
.margin5 { margin: 5px; }
.margin10 { margin: 10px; }
.margin15 { margin: 15px; }
.margin20 { margin: 20px; }
.margin25 { margin: 25px; }
.margin30 { margin: 30px; }
.margin35 { margin: 35px; }
.margin40 { margin: 40px; }
.margin45 { margin: 45px; }
.margin50 { margin: 50px; }
.margin55 { margin: 55px; }
.margin60 { margin: 60px; }
.margin65 { margin: 65px; }
.margin70 { margin: 70px; }

.margin-top5 { margin-top: 5px; }
.margin-top10 { margin-top: 10px; }
.margin-top15 { margin-top: 15px; }
.margin-top20 { margin-top: 20px; }
.margin-top25 { margin-top: 25px; }
.margin-top30 { margin-top: 30px; }
.margin-top35 { margin-top: 35px; }
.margin-top40 { margin-top: 40px; }
.margin-top45 { margin-top: 45px; }
.margin-top50 { margin-top: 50px; }
.margin-top55 { margin-top: 55px; }
.margin-top60 { margin-top: 60px; }
.margin-top65 { margin-top: 65px; }
.margin-top70 { margin-top: 70px; }

.margin-right5 { margin-right: 5px; }
.margin-right10 { margin-right: 10px; }
.margin-right15 { margin-right: 15px; }
.margin-right20 { margin-right: 20px; }
.margin-right25 { margin-right: 25px; }
.margin-right30 { margin-right: 30px; }
.margin-right35 { margin-right: 35px; }
.margin-right40 { margin-right: 40px; }
.margin-right45 { margin-right: 45px; }
.margin-right50 { margin-right: 50px; }
.margin-right55 { margin-right: 55px; }
.margin-right60 { margin-right: 60px; }
.margin-right65 { margin-right: 65px; }
.margin-right70 { margin-right: 70px; }

.margin-left5 { margin-left: 5px; }
.margin-left10 { margin-left: 10px; }
.margin-left15 { margin-left: 15px; }
.margin-left20 { margin-left: 20px; }
.margin-left25 { margin-left: 25px; }
.margin-left30 { margin-left: 30px; }
.margin-left35 { margin-left: 35px; }
.margin-left40 { margin-left: 40px; }
.margin-left45 { margin-left: 45px; }
.margin-left50 { margin-left: 50px; }
.margin-left55 { margin-left: 55px; }
.margin-left60 { margin-left: 60px; }
.margin-left65 { margin-left: 65px; }
.margin-left70 { margin-left: 70px; }

.margin-bottom5 { margin-bottom: 5px; }
.margin-bottom10 { margin-bottom: 10px; }
.margin-bottom15 { margin-bottom: 15px; }
.margin-bottom20 { margin-bottom: 20px; }
.margin-bottom25 { margin-bottom: 25px; }
.margin-bottom30 { margin-bottom: 30px; }
.margin-bottom35 { margin-bottom: 35px; }
.margin-bottom40 { margin-bottom: 40px; }
.margin-bottom45 { margin-bottom: 45px; }
.margin-bottom50 { margin-bottom: 50px; }
.margin-bottom55 { margin-bottom: 55px; }
.margin-bottom60 { margin-bottom: 60px; }
.margin-bottom65 { margin-bottom: 65px; }
.margin-bottom70 { margin-bottom: 70px; }

/* Font Size */
.font-size14 {
  font-size: 14px;
}

.font-size18 {
  font-size: 18px;

  @media (max-width: 767px){
    font-size: 16px;
  }
}

body {
	overflow-x: hidden;
	&.boxed:not(.panel-popup) {
		.page-wrapper {
			background-color: #fff;
			margin: 30px auto;
			overflow-x: hidden;
			position: relative;
			width: 1200px;
			padding: 0 30px;
			@media (max-width: 767px){
				width: calc(~'100% - 30px') !important;
				padding: 0 15px !important;
				margin: 0 auto !important;
			}
			@media (min-width: 992px){
				.header.active-sticky {
					&:not(.header8):not(.header9) {
						width: 1200px;
                        margin-left: -600px;
						box-shadow: none;
						left: 50%;
						padding: 0 30px;
					}
					&.header8, &.header9 {
						.middle-header-content {
							width: 1200px;
                            margin-left: -600px;
							box-shadow: none;
							left: 50%;
							padding: 0 30px;
						}
					}
				}
			}
		}
		&:not(.fullwidth) {
			.page-wrapper {
				@media (min-width: 992px) and (max-width: 1259px) {
					width: 960px !important;
					.header.active-sticky {
						&:not(.header8):not(.header9) {
							width: 960px !important;
                            margin-left: -480px;
						}
						&.header8, &.header9 {
							.middle-header-content {
								width: 960px !important;
                                margin-left: -480px;
							}
						}
					}
				}
				@media (min-width: 768px) and (max-width: 991px) {
					width: 700px !important;
					.header.active-sticky {
						&:not(.header8):not(.header9) {
							width: 700px !important;
                            margin-left: -350px;
						}
						&.header8, &.header9 {
							.middle-header-content {
								width: 700px !important;
                                margin-left: -350px;
							}
						}
					}
				}
			}
		}
		&.width1024 {
			.page-wrapper {
				@media (min-width: 1024px) {
					width: 1024px;
					.header.active-sticky {
						&:not(.header8):not(.header9) {
							width: 1024px !important;
                            margin-left: -512px;
						}
						&.header8, &.header9 {
							.middle-header-content {
								width: 1024px !important;
                                margin-left: -512px;
							}
						}
					}
				}
			}
		}
		&.width1366 {
			.page-wrapper {
				@media (min-width: 1426px) {
					width: 1366px;
					.header.active-sticky {
						&:not(.header8):not(.header9) {
							width: 1366px !important;
                            margin-left: -683px;
						}
						&.header8, &.header9 {
							.middle-header-content {
								width: 1366px !important;
                                margin-left: -683px;
							}
						}
					}
				}
			}
		}
		&.fullwidth .page-wrapper {
			width: calc(~'100% - 60px');
			margin: 0 30px;
			.header.active-sticky {
				&:not(.header8):not(.header9) {
					width: calc(~'100% - 60px') !important;
                    margin-left: calc(~'50% - 30px') !important;
				}
				&.header8, &.header9 {
					.middle-header-content {
						width: calc(~'100% - 60px') !important;
                        margin-left: calc(~'50% - 30px') !important;
					}
				}
			}
		}
		.container, .container-fluid {
			width: 100%;
			padding: 0 !important;
		}
	}
	&.wide {
		.container {
			@media (min-width: 1200px) {
        width: 1200px;
			}
      @media (min-width: 1400px) {
        max-width: 1700px;
        width: 100%;
			}
		}
		&.fullwidth .container {
			width: 100%;
		}
		&.width1366 .container {
			@media (min-width: 1370px) {
				width: 1366px;
			}
		}
		&.width1024 .container {
			@media (min-width: 1200px) {
				width: 1024px;
			}
		}
	}
}

// Video Responsive
.video-responsive {
    position: relative;
    padding-bottom: 56.25%;
    padding-top: 30px;
    height: 0;
    overflow: hidden;
	iframe, object , embed {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
	}
}

// Modal Popup
body {
	&._has-modal {
		height: 100%;
		overflow: hidden;
		width: 100%;
	}
}
.modal-popup {
	bottom: 0;
	left: 0;
	min-width: 0;
	position: fixed;
	right: 0;
	top: 0;
	visibility: hidden;
	&._show {
		visibility: visible;
		z-index: 999 !important;
		.modal-inner-wrap {
			transform: translateY(-50%);
			-webkit-transform: translateY(-50%);
			-moz-transform: translateY(-50%);
			-o-transform: translateY(-50%);
			top: 50%;
			margin-top: 0;
			margin-bottom: 0;
		}
	}
	.modal-inner-wrap {
		margin: 50px auto;
		width: 75%;
		display: -webkit-flex;
		display: -ms-flexbox;
		display: flex;
		-webkit-flex-direction: column;
		-ms-flex-direction: column;
		flex-direction: column;
		box-sizing: border-box;
		height: auto;
		left: 0;
		position: absolute;
		right: 0;
		-webkit-transform: translateY(-200%);
		transform: translateY(-200%);
		transition-duration: .2s;
		-webkit-transition-property: -webkit-transform, visibility;
		transition-property: transform, visibility;
		transition-timing-function: ease;
	}
	.action-close {
		background-image: none;
		background: none;
		-moz-box-sizing: content-box;
		border: 0;
		box-shadow: none;
		line-height: inherit;
		margin: 0;
		padding: 0;
		cursor: pointer;
		text-shadow: none;
		font-weight: 400;
		display: inline-block;
		text-decoration: none;
		position: absolute;
		right: -13px;
		top: -13px;
		z-index: 10;
		&:focus, &:active, &:hover {
			background: none;
			border: none;
		}
		&.disabled, &[disabled] {
			cursor: not-allowed;
			pointer-events: none;
			opacity: 0.5;
		}
		> span {
			border: 0;
			clip: rect(0, 0, 0, 0);
			height: 1px;
			margin: -1px;
			overflow: hidden;
			padding: 0;
			position: absolute;
			width: 1px;
		}
		&:before {
      -webkit-font-smoothing: antialiased;
      color: #ffffff;
      content: "\f00d";
      font-size: 13px;
      background-color: #4d4d50;
      width: 26px;
      height: 26px;
      border: 3px solid #fff;
      .border-radius(50%);
      margin: 0;
      display: inline-block;
      font-weight: normal;
      padding-top: 2px;
      speak: none;
      text-align: center;
      font-family: 'FontAwesome';
		}
		&:active:before {
			color: inherit;
		}
		&:hover:before {
			border-color: #2a2a2a;
		}
	}
	&.confirm {
		.modal-inner-wrap {
			width: 310px;
			.modal-content {
				padding: 20px 15px;
				font-size: 16px;
				box-shadow: none;
				border: none;
				border-radius: 0;
				border-bottom: 1px solid #ebebeb;
			}
			.modal-footer {
				border: none;
				background-color: #fff;
        padding: 20px 0 20px 15px;
			}
		}
	}
}
.modals-overlay {
	z-index: 998 !important;
	background-color: rgba(51, 51, 51, 0.55);
	bottom: 0;
	left: 0;
	position: fixed;
	right: 0;
	top: 0;
}
